## kdenlive 21.08.1

=== debian/changelog ===
kdenlive (21.08.1-1~mx21) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make most recommended packages explicit dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Oct 2021 08:07:11 -0700

kdenlive (21.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Bump Standards-Version to 4.6.0.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 09 Sep 2021 13:15:51 +0200

kdenlive (21.08.0-1) experimental; urgency=medium

  * New upstream release.
    - Bump minimum required mlt version to 7.0.1.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 18 Aug 2021 17:05:53 +0200

kdenlive (21.04.3-3) unstable; urgency=medium

  * Depend on qtwebengine5-dev only on amd64, i386, arm64, armhf and mipsel.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 18 Aug 2021 17:01:38 +0200

kdenlive (21.04.3-2) unstable; urgency=medium

  * librttr is not required anymore.
  * Depend on breeze-icon-theme in the correct version and temporary remove the
    embedded duplicate icons.
    Closes: #992307

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 17 Aug 2021 15:25:30 +0200

kdenlive (21.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump mlt build dependency up to 6.26.1.
  * Add qtwebengine5-dev build dependency.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 16 Aug 2021 16:23:58 +0200

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.6.0
Rules-Requires-Root: no
Build-Depends: appstream,
               cmake,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.59~),
               ffmpeg,
               libkf5archive-dev,
               libkf5bookmarks-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5declarative-dev,
               libkf5doctools-dev,
               libkf5filemetadata-dev,
               libkf5guiaddons-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5plotting-dev,
               libkf5purpose-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libmlt++-dev (>= 7.0.1),
               libmlt-dev (>= 7.0.1),
               libqt5networkauth5-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libv4l-dev,
               pkg-config,
               pkg-kde-tools,
               qtdeclarative5-dev,
               qtmultimedia5-dev,
               qtquickcontrols2-5-dev,
               qtscript5-dev,
               qtwebengine5-dev [amd64 i386 arm64 armhf mipsel]

Package: kdenlive
Architecture: any
Depends: breeze,
         breeze-icon-theme (>= 4:5.83.0),
         ffmpeg,
         gstreamer1.0-plugins-bad,
         kded5,
         kdenlive-data (= ${source:Version}),
         kinit,
         kio,
         melt,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
         dvdauthor,
            dvgrab,
            frei0r-plugins,
            genisoimage,
            oxygen-icon-theme,
Recommends: recordmydesktop,
            swh-plugins
Suggests: khelpcenter, vlc | xine-ui
Breaks: kdenlive-data (<< 19.12.2-2~)
Replaces: kdenlive-data (<< 19.12.2-2~)
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-4~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

EXTRAFLAGS :=
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	EXTRAFLAGS := -DNO_JOGSHUTTLE=YES
endif

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- $(EXTRAFLAGS)

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/kdenlive-data/usr/share/doc/Kdenlive/
	rm -rf $(CURDIR)/debian/kdenlive-data/usr/share/icons/breeze-dark

override_dh_auto_test:

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## kdenlive 21.12.2

=== debian/changelog ===
kdenlive (21.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 09 Feb 2022 15:21:22 +0100

kdenlive (21.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Adjust lintian overrides.
  * Update again upstream signing key.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 07 Jan 2022 09:58:31 +0100

kdenlive (21.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update upstream signing key.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 14 Dec 2021 17:24:49 +0100

kdenlive (21.08.3-1) unstable; urgency=medium

  * New upstream release.
  * Adjust lintian overrides.
  * Use new debian/upstream/signing-key.asc.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 04 Nov 2021 10:25:34 +0100

kdenlive (21.08.2-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 07 Oct 2021 11:16:53 +0200

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.6.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 pkg-config,
 cmake,
 appstream,
 pkg-kde-tools,
 libmlt-dev (>= 7.0.1),
 libmlt++-dev (>= 7.0.1),
 ffmpeg,
 libqt5opengl5-dev,
 libqt5networkauth5-dev,
 extra-cmake-modules (>= 5.59~),
 qtscript5-dev,
 qtmultimedia5-dev,
 qtquickcontrols2-5-dev,
 libqt5svg5-dev,
 libqt5webkit5-dev,
 libkf5kio-dev,
 libv4l-dev,
 libkf5archive-dev,
 libkf5bookmarks-dev,
 libkf5config-dev,
 libkf5configwidgets-dev,
 libkf5coreaddons-dev,
 libkf5dbusaddons-dev,
 libkf5doctools-dev,
 libkf5guiaddons-dev,
 libkf5iconthemes-dev,
 libkf5newstuff-dev,
 libkf5filemetadata-dev,
 libkf5purpose-dev,
 libkf5declarative-dev,
 libkf5crash-dev,
 libkf5notifications-dev,
 libkf5notifyconfig-dev,
 libkf5plotting-dev,
 libkf5textwidgets-dev,
 libkf5widgetsaddons-dev,
 qtdeclarative5-dev,
 qtwebengine5-dev [amd64 i386 arm64 armhf mipsel],
 libkf5xmlgui-dev

Package: kdenlive
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 kdenlive-data (= ${source:Version}),
 qml-module-qtquick2,
 qml-module-qtquick-controls,
 qml-module-qtgraphicaleffects,
 qml-module-qtqml-models2,
 qml-module-qtquick-controls2,
 qml-module-qtquick-dialogs,
 qml-module-qtquick-layouts,
 qml-module-qtquick-window2,
 breeze,
 breeze-icon-theme (>= 4:5.83.0),
 kinit,
 kded5,
 kio,
 melt,
 gstreamer1.0-plugins-bad,
 ffmpeg
Recommends: swh-plugins,
 oxygen-icon-theme,
 dvgrab,
 frei0r-plugins,
 recordmydesktop,
 dvdauthor,
 genisoimage
Suggests: khelpcenter,
 vlc | xine-ui
Breaks: kdenlive-data (<< 19.12.2-2~)
Replaces: kdenlive-data (<< 19.12.2-2~)
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

## kdenlive 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# An odd patch version number means development version, while an even one means
# stable release. An additional number can be used for bugfix-only releases.

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")

set(KDENLIVE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(Kdenlive VERSION ${KDENLIVE_VERSION})

if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW)
endif()
if(POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()

# To be switched on when releasing.
option(RELEASE_BUILD "Remove Git revision from program version" ON)
option(BUILD_TESTING "Build tests" ON)
option(CRASH_AUTO_TEST "Auto-generate testcases upon some crashes (uses RTTR library, needed for fuzzing)" OFF)
option(BUILD_FUZZING "Build fuzzing target" OFF)
option(NODBUS "Build without DBus IPC" OFF)

# Minimum versions of main dependencies.
set(MLT_MIN_MAJOR_VERSION 7)
set(MLT_MIN_MINOR_VERSION 0)
set(MLT_MIN_PATCH_VERSION 0)
set(MLT_MIN_VERSION ${MLT_MIN_MAJOR_VERSION}.${MLT_MIN_MINOR_VERSION}.${MLT_MIN_PATCH_VERSION})

# KDE Frameworks
find_package(ECM 5.45.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMInstallIcons)
include(GenerateExportHeader)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMOptionalAddSubdirectory)
include(ECMMarkNonGuiExecutable)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMEnableSanitizers)
include(ECMAddQch)
add_definitions(-DTRANSLATION_DOMAIN=\"kdenlive\")
find_package(KF5 REQUIRED COMPONENTS Archive Bookmarks CoreAddons Config ConfigWidgets
                            KIO WidgetsAddons NotifyConfig NewStuff XmlGui Notifications GuiAddons TextWidgets IconThemes Declarative Solid
                 OPTIONAL_COMPONENTS DocTools FileMetaData Crash Purpose)

# Qt
set(QT_MIN_VERSION 5.11.0)
find_package(Qt5 REQUIRED COMPONENTS Core Widgets Svg Quick QuickControls2 Concurrent QuickWidgets Multimedia NetworkAuth)
if(NOT NODBUS)
    find_package(KF5 REQUIRED COMPONENTS DBusAddons)
    find_package(Qt5 REQUIRED COMPONENTS DBus)
endif()
add_definitions(-DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")

# MLT
find_package(MLT ${MLT_MIN_VERSION} REQUIRED)
set_package_properties(MLT PROPERTIES DESCRIPTION "Multimedia framework"
                URL "https://mltframework.org"
                PURPOSE "Required to do video processing")
message(STATUS "Found MLT++: ${MLTPP_LIBRARIES}")

# Windows
include(CheckIncludeFiles)
check_include_files(malloc.h HAVE_MALLOC_H)
check_include_files(pthread.h HAVE_PTHREAD_H)
if(WIN32)
    find_package(DrMinGW)
    set(MLT_PREFIX "..")
else()
    set(MLT_PREFIX ${MLT_ROOT_DIR})
endif()

# macOS
if(APPLE)
    set(DATA_INSTALL_PREFIX "")
else()
    set(DATA_INSTALL_PREFIX "/kdenlive")
endif()

if(KF5FileMetaData_FOUND)
  message(STATUS "Found KF5 FileMetadata to extract file metadata")
  set(KF5_FILEMETADATA TRUE)
else()
  message(STATUS "KF5 FileMetadata not found, file metadata will not be available")
endif()

if(KF5Purpose_FOUND)
  message(STATUS "Found KF5 Purpose, filesharing enabled")
  set(KF5_PURPOSE TRUE)
else()
  message(STATUS "KF5 Purpose not found, filesharing disabled")
endif()

if(KF5DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

# Get current version.
set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION}")
if(NOT RELEASE_BUILD AND EXISTS ${CMAKE_SOURCE_DIR}/.git)
  # Probably a Git workspace; determine the revision.
  find_package(Git QUIET)
  if(GIT_FOUND)
    exec_program(${GIT_EXECUTABLE} ${CMAKE_SOURCE_DIR}
	  ARGS "log -n 1 --pretty=format:\"%h\""
      OUTPUT_VARIABLE KDENLIVE_GIT_REVISION)
    message(STATUS "Kdenlive Git revision: ${KDENLIVE_GIT_REVISION}")
    set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION} (rev. ${KDENLIVE_GIT_REVISION})")
  else()
    message(STATUS "Kdenlive Git revision could not be determined")
  endif()
endif()

if(CRASH_AUTO_TEST)
  find_package(RTTR 0.9.6 QUIET)
  if(NOT RTTR_FOUND)
    message(STATUS "RTTR not found on system, will download source and build it")
    include(rttr.CMakeLists.txt)
  endif()
  if(BUILD_FUZZING)
    set(ECM_ENABLE_SANITIZERS fuzzer;address)
  endif()
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

option(BUILD_QCH "Build source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "Source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(FFMPEG_SUFFIX "" CACHE STRING "FFmpeg custom suffix")
configure_file(config-kdenlive.h.cmake config-kdenlive.h @ONLY)
set(CMAKE_POSITION_INDEPENDENT_CODE TRUE)

# Sources
add_subdirectory(src)
add_subdirectory(renderer)
add_subdirectory(thumbnailer)
add_subdirectory(data)
ki18n_install(po)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS Kdenlive_QCH
        FILE KdenliveQCHTargets.cmake
        DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/cmake/kdenlive"
        COMPONENT Devel
    )
endif()

include(GNUInstallDirs)
install(FILES AUTHORS README.md DESTINATION ${CMAKE_INSTALL_DOCDIR})
install(DIRECTORY LICENSES DESTINATION ${CMAKE_INSTALL_DOCDIR})

if (ECM_VERSION VERSION_LESS "5.59.0")
    install(FILES kdenlive.categories DESTINATION ${KDE_INSTALL_CONFDIR})
else()
    install(FILES kdenlive.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
endif()

# Tests
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()
if(BUILD_FUZZING AND ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang"))
    add_subdirectory(fuzzer)
endif()

=== data/CMakeLists.txt ===
add_subdirectory(effects)
add_subdirectory(generators)
add_subdirectory(transitions)
add_subdirectory(icons)
add_subdirectory(knewstuff)
add_subdirectory(lumas)
add_subdirectory(scripts)
add_subdirectory(man)
add_subdirectory(titles)
add_subdirectory(profiles)
add_subdirectory(resourceproviders)
add_subdirectory(shortcuts)
add_subdirectory(luts)

install(FILES
  encodingprofiles.rc
  externalproxies.rc
  kdenliveeffectscategory.rc
  kdenlivetranscodingrc
  kdenlivedefaultlayouts.rc

  DESTINATION ${DATA_INSTALL_DIR}${DATA_INSTALL_PREFIX})
install(FILES  kdenlive.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

install(FILES profiles.xml DESTINATION ${DATA_INSTALL_DIR}${DATA_INSTALL_PREFIX}/export)
install(FILES org.kde.kdenlive.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.kdenlive.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

find_package(SharedMimeInfo REQUIRED)
install(FILES org.kde.kdenlive.xml westley.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

=== src/CMakeLists.txt ===
### Find packages files
find_package(LibV4L2)
set_package_properties(LibV4L2 PROPERTIES
    DESCRIPTION "video4linux support libraries"
    URL "https://linuxtv.org/downloads/v4l-utils/"
    TYPE RUNTIME
    PURPOSE "Required for better webcam support")

if(WIN32)
    set(MLT_MELTBIN "melt.exe")
    set(MLT_DATADIR "../share/mlt")
elseif(APPLE)
    set(MLT_MELTBIN "melt")
    set(MLT_DATADIR "../Resources/mlt")
else()
    find_package(PkgConfig QUIET)
    execute_process(
        COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=mltdatadir mlt-framework-7
        OUTPUT_VARIABLE MLT_DATADIR
        RESULT_VARIABLE MLT_DATADIR_failed)
    if(NOT MLT_DATADIR_failed)
        string(REGEX REPLACE "[\r\n]" "" MLT_DATADIR "${MLT_DATADIR}")
    endif()

    execute_process(
        COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=meltbin mlt-framework-7
        OUTPUT_VARIABLE MLT_MELTBIN
        RESULT_VARIABLE MLT_MELTBIN_failed)
    if(NOT MLT_MELTBIN_failed)
        string(REGEX REPLACE "[\r\n]" "" MLT_MELTBIN "${MLT_MELTBIN}")
    endif()
endif()
configure_file(mlt_config.h.in ${CMAKE_BINARY_DIR}/mlt_config.h)

check_include_files(linux/input.h HAVE_LINUX_INPUT_H)
if(HAVE_LINUX_INPUT_H)
    list(APPEND kdenlive_SRCS
        jogshuttle/jogmanager.cpp
        jogshuttle/jogaction.cpp
        jogshuttle/jogshuttle.cpp
        jogshuttle/jogshuttleconfig.cpp)
endif()

### Find source files
add_subdirectory(abstractmodel)
add_subdirectory(assets)
add_subdirectory(audiomixer)
add_subdirectory(bin)
add_subdirectory(capture)
add_subdirectory(dialogs)
add_subdirectory(doc)
add_subdirectory(effects)
add_subdirectory(effectslist)
add_subdirectory(jobs)
add_subdirectory(lib)
add_subdirectory(library)
add_subdirectory(mltcontroller)
add_subdirectory(monitor)
add_subdirectory(onlineresources)
add_subdirectory(profiles)
add_subdirectory(project)
add_subdirectory(qml)
add_subdirectory(scopes)
add_subdirectory(simplekeyframes)
add_subdirectory(timeline2)
add_subdirectory(titler)
add_subdirectory(transitions)
add_subdirectory(utils)
add_subdirectory(widgets)
add_subdirectory(xml)
## top_SRCS
file(GLOB top_SRCS "*.cpp")
if(NOT CRASH_AUTO_TEST)
    list(REMOVE_ITEM top_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/logger.cpp)
endif()
# string(REGEX REPLACE "${CMAKE_CURRENT_SOURCE_DIR}/lib/[^;]+;?" "" top_SRCS "${top_SRCS}")
list(REMOVE_ITEM top_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp)
list(APPEND kdenlive_SRCS ${top_SRCS})
## Others special cases
kconfig_add_kcfg_files(kdenlive_SRCS kdenlivesettings.kcfgc)
install(FILES kdenlivesettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
ecm_qt_declare_logging_category(kdenlive_SRCS HEADER kdenlive_debug.h IDENTIFIER KDENLIVE_LOG CATEGORY_NAME org.kde.multimedia.kdenlive)
if(NOT NODBUS)
    qt5_add_dbus_adaptor(kdenlive_SRCS org.kdenlive.MainWindow.xml mainwindow.h MainWindow)
else()
    add_subdirectory(render)
endif()
## UI's
file(GLOB kdenlive_UIS "ui/*.ui")
ki18n_wrap_ui(kdenlive_UIS ${kdenlive_UIS})
## MOC
qt5_wrap_cpp(kdenlive_MOC definitions.h)
set_property(SOURCE definitions.h PROPERTY SKIP_AUTOMOC ON)

add_library(kdenliveLib STATIC ${kdenlive_SRCS} ${kdenlive_UIS} ${kdenlive_MOC} lib/localeHandling.cpp lib/localeHandling.h)

qt5_add_resources(kdenlive_extra_SRCS icons.qrc uiresources.qrc)
## Icon for Windows and OSX
file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/icons/*-apps-kdenlive.png")
ecm_add_app_icon(kdenlive ICONS ${ICONS_SRCS}) # icon name = variable name
add_executable(kdenlive main.cpp ${kdenlive_extra_SRCS} ${kdenlive})
target_include_directories(kdenlive
    PRIVATE ${CMAKE_BINARY_DIR}
    )
target_include_directories(kdenlive
	SYSTEM PRIVATE ${MLT_INCLUDE_DIR} ${MLTPP_INCLUDE_DIR})
target_link_libraries(kdenlive kdenliveLib)
install(TARGETS kdenlive DESTINATION ${BIN_INSTALL_DIR})

install(FILES kdenliveui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kdenlive)


target_include_directories(kdenliveLib
    PRIVATE ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/external
    ${CMAKE_CURRENT_SOURCE_DIR}/lib
    )
target_include_directories(kdenliveLib
	SYSTEM  PRIVATE ${MLT_INCLUDE_DIR} ${MLTPP_INCLUDE_DIR})
# Adds Qt definitions and include directories, and sets QT_LIBRARIES according
# to the components requested in find_package().
# KDE definitions and include directories *must* always come first, Qt follows
# (to avoid breaking builds when KDE and/or Qt are installed to different
# prefixes).
target_link_libraries(kdenliveLib
    KF5::WidgetsAddons
    KF5::Archive
    KF5::CoreAddons
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::KIOWidgets
    KF5::NotifyConfig
    KF5::NewStuff
    KF5::XmlGui
    KF5::GuiAddons
    KF5::Notifications
    KF5::TextWidgets
    KF5::Declarative
    KF5::IconThemes
    KF5::Solid
    Qt5::Svg
    Qt5::Quick
    Qt5::QuickControls2
    Qt5::QuickWidgets
    Qt5::Concurrent
    Qt5::Multimedia
    Qt5::NetworkAuth
    ${OPENGL_LIBRARIES}
    ${OPENGLES_LIBRARIES}
    ${MLT_LIBRARIES}
    ${MLTPP_LIBRARIES}
    ${CMAKE_DL_LIBS}
    ${CMAKE_THREAD_LIBS_INIT}
    kiss_fft)
if(NOT NODBUS)
  target_link_libraries(kdenliveLib KF5::DBusAddons)
endif()
if(BUILD_COVERAGE)
  target_link_libraries(kdenliveLib gcov)
endif()
set_property(TARGET kdenliveLib PROPERTY CXX_STANDARD 14)
add_definitions(${qt5gui_definitions} -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY)

# Optional deps
if(CRASH_AUTO_TEST)
    target_compile_definitions(kdenliveLib PRIVATE CRASH_AUTO_TEST)
    if(TARGET RTTR::Core)
        target_link_libraries(kdenliveLib RTTR::Core)
    else()
        target_link_libraries(kdenliveLib RTTR::Core_Lib)
    endif()
endif()

if(DRMINGW_FOUND)
    target_compile_definitions(kdenlive PRIVATE -DUSE_DRMINGW)
    target_include_directories(kdenlive SYSTEM PRIVATE ${DRMINGW_INCLUDE_DIR})
    target_link_libraries(kdenlive ${DRMINGW_LIBRARY})
elseif(KF5Crash_FOUND)
    target_compile_definitions(kdenlive PRIVATE -DKF5_USE_CRASH)
    target_link_libraries(kdenlive KF5::Crash)
endif()

if(KF5_FILEMETADATA)
    target_compile_definitions(kdenliveLib PRIVATE -DKF5_USE_FILEMETADATA)
    target_link_libraries(kdenliveLib KF5::FileMetaData)
endif()

if(KF5_PURPOSE)
    target_compile_definitions(kdenliveLib PRIVATE -DKF5_USE_PURPOSE)
    target_link_libraries(kdenliveLib KF5::Purpose KF5::PurposeWidgets)
endif()

if(Q_WS_X11)
	target_include_directories(kdenliveLib SYSTEM PRIVATE ${X11_Xlib_INCLUDE_PATH})
    target_link_libraries(kdenliveLib ${X11_LIBRARIES})
endif()

if(SDL2_FOUND)
    target_link_libraries(kdenliveLib ${SDL2_LIBRARY})
elseif(SDL_FOUND)
    target_link_libraries(kdenliveLib ${SDL_LIBRARY})
endif()

if(LIBV4L2_FOUND)
    target_include_directories(kdenliveLib SYSTEM PRIVATE ${LIBV4L2_INCLUDE_DIR})
    target_link_libraries(kdenliveLib ${LIBV4L2_LIBRARY})
    target_compile_definitions(kdenliveLib PRIVATE -DUSE_V4L)
endif()

if(HAVE_LINUX_INPUT_H)
    target_compile_definitions(kdenliveLib PRIVATE -DUSE_JOGSHUTTLE)
    target_link_libraries(kdenliveLib media_ctrl)
endif()

if(NODBUS)
    target_compile_definitions(kdenliveLib PRIVATE -DNODBUS)
    target_compile_definitions(kdenlive PRIVATE -DNODBUS)
endif()

if (BUILD_QCH)
    ecm_add_qch(
        Kdenlive_QCH
        NAME kdenlive
        VERSION ${KDENLIVE_VERSION}
        ORG_DOMAIN org.kde
        SOURCE_DIRS
            .
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== data/effects/CMakeLists.txt ===
INSTALL (FILES 

audiobalance.xml
audiolevelgraph.xml
audiomap.xml
audiopan.xml
audiospectrum.xml
audiowave.xml
audiowaveform.xml
boxblur.xml
brightness.xml
channelcopy.xml
copychannelstostereo.xml
charcoal.xml
chroma_hold.xml
chroma.xml
crop.xml
dance.xml
dust.xml
dynamic_loudness.xml
dynamictext.xml
fade_from_black.xml
fade_to_black.xml
fadein.xml
fadeout.xml
freeze.xml
gain.xml
gamma.xml
gpstext.xml
grain.xml
greyscale.xml
invert.xml
lift_gamma_gain.xml
lightshow.xml
loudness.xml
luma.xml
lumaliftgaingamma.xml
mask_start.xml
mask_start_frei0r_alphaspot.xml
mask_start_frei0r_select0r.xml
mask_start_rotoscoping.xml
mask_start_shape.xml
mask_apply.xml
mirror.xml
mono.xml
mute.xml
normalise.xml
obscure.xml
oldfilm.xml
pan_zoom.xml
pillar_echo.xml
qtblend.xml
qtcrop.xml
rboctaveshift.xml
rbpitchscale.xml
region.xml
rotation_keyframable.xml
rotation.xml
rotoscoping.xml
scratchlines.xml
sepia.xml
shape.xml
speed.xml
spot_remover.xml
swapchannels.xml
tcolor.xml
threshold.xml
tracker.xml
typewriter.xml
vidstab.xml
vignette.xml
volume.xml
wave.xml

DESTINATION ${DATA_INSTALL_DIR}${DATA_INSTALL_PREFIX}/effects)

add_subdirectory(update)
add_subdirectory(avfilter)
add_subdirectory(frei0r)
add_subdirectory(ladspa)
add_subdirectory(movit)
add_subdirectory(sox)

=== data/generators/CMakeLists.txt ===
INSTALL (FILES

count.xml
noise.xml
frei0r_test_pat_b.xml

DESTINATION ${DATA_INSTALL_DIR}${DATA_INSTALL_PREFIX}/generators)

=== data/lumas/CMakeLists.txt ===
INSTALL(FILES 
PAL/bi-linear_x.pgm
PAL/bi-linear_y.pgm
PAL/burst.pgm
PAL/checkerboard_small.pgm
PAL/clock.pgm
PAL/cloud.pgm
PAL/curtain.pgm
PAL/horizontal_blinds.pgm
PAL/linear_x.pgm
PAL/linear_y.pgm
PAL/radial-bars.pgm
PAL/radial.pgm
PAL/spiral.pgm
PAL/spiral2.pgm
PAL/square.pgm
PAL/square2-bars.pgm
PAL/square2.pgm
PAL/symmetric_clock.pgm
DESTINATION ${DATA_INSTALL_DIR}${DATA_INSTALL_PREFIX}/lumas/PAL)

INSTALL(FILES 
HD/bi-linear_x.pgm
HD/bi-linear_y.pgm
HD/burst.pgm
HD/checkerboard_small.pgm
HD/clock.pgm
HD/cloud.pgm
HD/curtain.pgm
HD/horizontal_blinds.pgm
HD/linear_x.pgm
HD/linear_y.pgm
HD/radial-bars.pgm
HD/radial.pgm
HD/spiral.pgm
HD/spiral2.pgm
HD/square.pgm
HD/square2-bars.pgm
HD/square2.pgm
HD/symmetric_clock.pgm
DESTINATION ${DATA_INSTALL_DIR}${DATA_INSTALL_PREFIX}/lumas/HD)

=== data/luts/CMakeLists.txt ===
INSTALL(FILES 
    BLUE_TINT.cube
    CINEMATIC.cube
    GREEN_TINT.cube
    TEAL_ORANGE.cube
DESTINATION ${DATA_INSTALL_DIR}${DATA_INSTALL_PREFIX}/luts)

=== data/profiles/CMakeLists.txt ===
INSTALL (FILES
dci_2160p_2398
dci_2160p_24
dci_2160p_25
dci_2160p_2997
dci_2160p_30
dci_2160p_50
dci_2160p_5994
dci_2160p_60
DESTINATION ${DATA_INSTALL_DIR}${DATA_INSTALL_PREFIX}/profiles)

=== data/resourceproviders/CMakeLists.txt ===
INSTALL (FILES

archiveorg.json
freesound.json
pexels_photo.json
pexels_video.json
pixabay_photo.json

DESTINATION ${DATA_INSTALL_DIR}${DATA_INSTALL_PREFIX}/resourceproviders)

=== data/scripts/CMakeLists.txt ===
INSTALL(FILES 
    checkvosk.py
    speech.py
    speechtotext.py

DESTINATION ${DATA_INSTALL_DIR}${DATA_INSTALL_PREFIX}/scripts)

=== data/titles/CMakeLists.txt ===
FILE(GLOB files "${CMAKE_CURRENT_SOURCE_DIR}/*.kdenlivetitle")
INSTALL (FILES ${files} DESTINATION ${DATA_INSTALL_DIR}${DATA_INSTALL_PREFIX}/titles)

=== src/jobs/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  jobs/abstracttask.cpp
  jobs/taskmanager.cpp
  jobs/audiolevelstask.cpp
  jobs/cliploadtask.cpp
  jobs/proxytask.cpp
  jobs/stabilizetask.cpp
  jobs/speedtask.cpp
  jobs/transcodetask.cpp
  jobs/filtertask.cpp
  jobs/cachetask.cpp
  jobs/scenesplittask.cpp
  jobs/cuttask.cpp
  PARENT_SCOPE)

=== debian/changelog ===
kdenlive (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:09:27 +0000

kdenlive (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:15:56 +0000

kdenlive (4:21.12.1-0ubuntu2) jammy; urgency=medium

  * Drop obsolete Recommends on dvdauthor, dvgrab, genisoimage, oxygen-
    icon-theme and recordmydesktop. Requested by upstream.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Jan 2022 07:33:10 +0000

kdenlive (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:23:46 +0000

kdenlive (4:21.12.0a-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.
  * Rename tarball after upstream re-spin.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:20:53 +0000

kdenlive (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:16:07 +0000

kdenlive (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:25:19 +0000

kdenlive (4:21.08.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:39:03 +0000

kdenlive (4:21.08.2-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.08.0)
  * Refresh 01-desktop-keywords.diff
  * New upstream release (21.08.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 22 Oct 2021 14:40:40 +0100

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.5.1
Rules-Requires-Root: no
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.59~),
               ffmpeg,
               libkf5archive-dev,
               libkf5bookmarks-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5declarative-dev,
               libkf5doctools-dev,
               libkf5filemetadata-dev,
               libkf5guiaddons-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5plotting-dev,
               libkf5purpose-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libmlt++-dev (>= 7.0.0),
               libmlt-dev (>= 7.0.0),
               libqt5networkauth5-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libv4l-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtmultimedia5-dev,
               qtquickcontrols2-5-dev,
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive

Package: kdenlive
Architecture: any
Depends: breeze,
         breeze-icon-theme (>= 4:5.83.0),
         ffmpeg,
         gstreamer1.0-plugins-bad,
         kded5,
         kdenlive-data (= ${source:Version}),
         kinit,
         kio,
         melt,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: frei0r-plugins,
            swh-plugins,
Suggests: khelpcenter, vlc | xine-ui
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh $@ --with kf5
 
 override_dh_auto_configure:
-	dh_auto_configure -Skf5 -- $(EXTRAFLAGS)
+	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF $(EXTRAFLAGS)
 
 override_dh_install:
 	dh_install
@@ -25,6 +25,3 @@
 
 override_dh_gencontrol: l10npkgs_firstversion_ok
 	dh_gencontrol
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## kdenlive 22.04.0

=== debian/changelog ===
kdenlive (22.04.0-1) unstable; urgency=medium

  * New upstream release.
  * Small adjustments in debian/copyright for lintian.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 21 Apr 2022 14:04:14 +0200

kdenlive (21.12.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 03 Mar 2022 15:57:50 +0100

## kdenlive 22.04.1

=== debian/changelog ===
kdenlive (22.04.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 16 May 2022 14:08:01 +0200

## kdenlive 22.04.2

=== debian/changelog ===
kdenlive (22.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 22 Jun 2022 14:50:06 +0200

## kdenlive 22.04.3

=== debian/changelog ===
kdenlive (22.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 08 Jul 2022 12:44:29 +0200

## kdenlive 22.04.3-1~ubuntu20.04.1%2B10.0trisquel2

=== debian/changelog ===
kdenlive (4:22.04.3-1~ubuntu20.04.1+10.0trisquel2) nabia-backports; urgency=medium

  * Backported from official PPA for kdenlive

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 08 Jul 2022 23:25:01 +0000

kdenlive (4:22.04.3-1~ubuntu20.04.1) focal; urgency=low

  * Auto build.

 -- Julius Künzel <jk.kdedev@smartlab.uber.space>  Thu, 07 Jul 2022 19:19:24 +0000

kdenlive (4:21.12.1-0) focal; urgency=medium

  * Missing install files, pick packaging files from kubuntu

 -- Vincent Pinon <vpinon@kde.org>  Mon, 19 Jul 2021 00:36:44 +0200

kdenlive (4:21.07.70-0ubuntu1) focal; urgency=medium

  * New release switching to experimental MLT7 package

 -- Vincent Pinon <vpinon@kde.org>  Mon, 19 Jul 2021 00:36:44 +0200

kdenlive (4:21.03.70-0) focal; urgency=medium

  * new dependencies for 21.04

 -- Vincent Pinon <vpinon@kde.org>  Wed, 17 Feb 2021 08:09:55 +0100

kdenlive (4:19.04.0-0) bionic; urgency=medium

  * New upstream release (19.04.0)
  * Depend on QtMultimedia
  * Remove DVD authoring & DV grabbing deps
  * Upgrade debhelpers to 10

 -- Vincent Pinon <vpinon@kde.org>  Sat, 11 May 2019 14:57:54 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Build-Depends: cmake (>= 3.0~),
-               debhelper-compat (= 13),
+               debhelper (>= 10),
                extra-cmake-modules (>= 5.59~),
                ffmpeg,
                libkf5archive-dev,
@@ -31,8 +31,8 @@
                libkf5textwidgets-dev,
                libkf5widgetsaddons-dev,
                libkf5xmlgui-dev,
-               libmlt++-dev (>= 7.0.0),
-               libmlt-dev (>= 7.0.0),
+               libmlt++7-dev (>= 7.2.0),
+               libmlt7-dev (>= 7.2.0),
                libqt5networkauth5-dev,
                libqt5opengl5-dev,
                libqt5svg5-dev,
@@ -50,14 +50,13 @@
 Package: kdenlive
 Architecture: any
 Depends: breeze,
-         breeze-icon-theme (>= 4:5.83.0),
+         breeze-icon-theme,
          ffmpeg,
-         gstreamer1.0-plugins-bad,
          kded5,
          kdenlive-data (= ${source:Version}),
          kinit,
          kio,
-         melt,
+         melt-7,
          qml-module-qtgraphicaleffects,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls,
@@ -70,7 +69,7 @@
          ${shlibs:Depends},
 Recommends: frei0r-plugins,
             swh-plugins,
-Suggests: khelpcenter, vlc | xine-ui
+Suggests: vlc
 Description: non-linear video editor
  Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
  more formats.

## kdenlive 22.08.0

=== debian/changelog ===
kdenlive (22.08.0-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 18 Aug 2022 11:55:51 +0200

## kdenlive 22.08.1

=== debian/changelog ===
kdenlive (22.08.1-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 08 Sep 2022 10:38:00 +0200

## kdenlive 22.08.2

=== debian/changelog ===
kdenlive (4:22.08.2-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix release (22.08.2)
  * Drop upstream_22.08.2-bugfixes.patch

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Oct 2022 08:14:23 +0100

kdenlive (4:22.08.1-0ubuntu3) kinetic; urgency=medium

  * Update latest changes for upstream_22.08.2-bugfixes.patch

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Sep 2022 18:16:46 +0100

kdenlive (4:22.08.1-0ubuntu2) kinetic; urgency=medium

  * Add upstream_22.08.2-bugfixes.patch for fixes due to ship in next
    point release.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Sep 2022 11:30:47 +0100

kdenlive (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:38:55 +0100

kdenlive (4:22.08.0-0ubuntu3) kinetic; urgency=medium

  * Bump minimum required mlt to 7.8.0 as per cmake.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Aug 2022 10:48:45 +0100

kdenlive (4:22.08.0-0ubuntu2) kinetic; urgency=medium

  * New recommends: mediainfo (LP: #1987934)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 27 Aug 2022 07:57:10 -0700

kdenlive (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:48:57 +0100

kdenlive (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:26:22 +0100

kdenlive (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:00:23 +0100

kdenlive (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:57:57 +0100

kdenlive (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:46:53 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 10),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.59~),
                ffmpeg,
                libkf5archive-dev,
@@ -31,8 +31,8 @@
                libkf5textwidgets-dev,
                libkf5widgetsaddons-dev,
                libkf5xmlgui-dev,
-               libmlt++7-dev (>= 7.2.0),
-               libmlt7-dev (>= 7.2.0),
+               libmlt++-dev (>= 7.8.0),
+               libmlt-dev (>= 7.8.0),
                libqt5networkauth5-dev,
                libqt5opengl5-dev,
                libqt5svg5-dev,
@@ -50,13 +50,14 @@
 Package: kdenlive
 Architecture: any
 Depends: breeze,
-         breeze-icon-theme,
+         breeze-icon-theme (>= 4:5.83.0),
          ffmpeg,
+         gstreamer1.0-plugins-bad,
          kded5,
          kdenlive-data (= ${source:Version}),
          kinit,
          kio,
-         melt-7,
+         melt,
          qml-module-qtgraphicaleffects,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls,
@@ -68,8 +69,9 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: frei0r-plugins,
+            mediainfo,
             swh-plugins,
-Suggests: vlc
+Suggests: khelpcenter, vlc | xine-ui
 Description: non-linear video editor
  Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
  more formats.
